/Users/bernard/b20/bsoft/include/simplex.h(3)

NAME
/Users/bernard/b20/bsoft/include/simplex.h - Nelder and Mead downhill simplex method for generalized parameter fitting.

SYNOPSIS

#include <vector>

  Classes
class Bsimplex
Structure used in the downhill simplex method.

  Macros
#define _Bsimplex_

Detailed Description

Nelder and Mead downhill simplex method for generalized parameter fitting.

Author:
    Bernard Heymann

Date:
    Created: 20000426

    Modified: 20191121

    Adapted from Numerical Recipes, 2nd edition, Press et al. 1992
    The function "funk" is user-defined and references the "Bsimplex" structure.
    It returns the "R" value and is called as:
        double  R = (funk)(simplex_struct);

Definition in file simplex.h.

Macro Definition Documentation

  #define _Bsimplex_

Definition at line 88 of file simplex.h.

Author

Generated automatically by Doxygen for Bsoft from the source code.